import * as pdfjs from '@/pdfjs';
export declare class PrintService {
    private pdfDocument;
    private pagesOverview;
    private printResolution;
    private printAnnotationStoragePromise;
    private printContainer?;
    private pageStyleSheet?;
    private scratchCanvas?;
    private optionalContentConfigPromise;
    private renderProgress?;
    constructor(pdfDocument: pdfjs.PDFDocumentProxy, pagesOverview: {
        width: number;
        height: number;
        rotation: number;
    }[], printResolution?: number, printAnnotationStoragePromise?: Promise<pdfjs.PrintAnnotationStorage | undefined>);
    print(print: typeof window.print): Promise<void>;
    layout(): void;
    destroy(): void;
    onRenderProgress(fn: typeof this.renderProgress): void;
    private renderPages;
    private useRenderedPage;
    private getXfaHtmlForPrinting;
    private renderPage;
}
